<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="dsAccess" targetNamespace="http://tempuri.org/dsAccess.xsd" xmlns:mstns="http://tempuri.org/dsAccess.xsd" xmlns="http://tempuri.org/dsAccess.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="Settings" AppSettingsPropertyName="csAccess" IsAppSettingsProperty="true" Modifier="Assembly" Name="csAccess (Settings)" ParameterPrefix="@" PropertyReference="ApplicationSettings.WebServer.Properties.Settings.GlobalReference.Default.csAccess" Provider="System.Data.SqlClient" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="GrpListTableAdapter" GeneratorDataComponentClassName="GrpListTableAdapter" Name="GrpList" UserDataComponentName="GrpListTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="csAccess (Settings)" DbObjectName="S1ACCESS300.dbo.VIEW_CARD_PERSON" DbObjectType="View" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="false" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>select  PersonUser2 from view_card_person 
where CardStatusID = 0
and isnull(PersonUser2,'') &lt;&gt; ''
group by PersonUser2
order by PersonUser2</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="PersonUser2" DataSetColumn="PersonUser2" />
            </Mappings>
            <Sources />
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="VIEW_CARD_PERSONTableAdapter" GeneratorDataComponentClassName="VIEW_CARD_PERSONTableAdapter" Name="VIEW_CARD_PERSON" UserDataComponentName="VIEW_CARD_PERSONTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="csAccess (Settings)" DbObjectName="S1ACCESS300.dbo.VIEW_CARD_PERSON" DbObjectType="View" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="false" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>select  *  from view_card_person 
where CardStatusID = 0
and isnull(PersonUser2,'')  = @dept</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="dept" ColumnName="" DataSourceName="" DataTypeServer="unknown" DbType="String" Direction="Input" ParameterName="@dept" Precision="0" Scale="0" Size="1024" SourceColumn="" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="CardFullNo" DataSetColumn="CardFullNo" />
              <Mapping SourceColumn="CardNo" DataSetColumn="CardNo" />
              <Mapping SourceColumn="ReIssueCnt" DataSetColumn="ReIssueCnt" />
              <Mapping SourceColumn="CardType" DataSetColumn="CardType" />
              <Mapping SourceColumn="CardStatusID" DataSetColumn="CardStatusID" />
              <Mapping SourceColumn="ValidDate" DataSetColumn="ValidDate" />
              <Mapping SourceColumn="Sabun" DataSetColumn="Sabun" />
              <Mapping SourceColumn="Name" DataSetColumn="Name" />
              <Mapping SourceColumn="Tel" DataSetColumn="Tel" />
              <Mapping SourceColumn="Mobile" DataSetColumn="Mobile" />
              <Mapping SourceColumn="OrgName" DataSetColumn="OrgName" />
              <Mapping SourceColumn="GradeName" DataSetColumn="GradeName" />
              <Mapping SourceColumn="PersonType" DataSetColumn="PersonType" />
              <Mapping SourceColumn="PersonStatus" DataSetColumn="PersonStatus" />
              <Mapping SourceColumn="personValid" DataSetColumn="personValid" />
              <Mapping SourceColumn="PersonUser1" DataSetColumn="PersonUser1" />
              <Mapping SourceColumn="PersonUser2" DataSetColumn="PersonUser2" />
              <Mapping SourceColumn="PersonUser3" DataSetColumn="PersonUser3" />
              <Mapping SourceColumn="PersonUser4" DataSetColumn="PersonUser4" />
              <Mapping SourceColumn="PersonUser5" DataSetColumn="PersonUser5" />
              <Mapping SourceColumn="CardUser1" DataSetColumn="CardUser1" />
              <Mapping SourceColumn="CardUser2" DataSetColumn="CardUser2" />
              <Mapping SourceColumn="CardUser3" DataSetColumn="CardUser3" />
              <Mapping SourceColumn="CardUser4" DataSetColumn="CardUser4" />
              <Mapping SourceColumn="CardUser5" DataSetColumn="CardUser5" />
            </Mappings>
            <Sources />
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="dsAccess" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:EnableTableAdapterManager="true" msprop:Generator_DataSetName="dsAccess" msprop:Generator_UserDSName="dsAccess">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="GrpList" msprop:Generator_TableClassName="GrpListDataTable" msprop:Generator_TableVarName="tableGrpList" msprop:Generator_RowChangedName="GrpListRowChanged" msprop:Generator_TablePropName="GrpList" msprop:Generator_RowDeletingName="GrpListRowDeleting" msprop:Generator_RowChangingName="GrpListRowChanging" msprop:Generator_RowEvHandlerName="GrpListRowChangeEventHandler" msprop:Generator_RowDeletedName="GrpListRowDeleted" msprop:Generator_RowClassName="GrpListRow" msprop:Generator_UserTableName="GrpList" msprop:Generator_RowEvArgName="GrpListRowChangeEvent">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="PersonUser2" msprop:Generator_ColumnVarNameInTable="columnPersonUser2" msprop:Generator_ColumnPropNameInRow="PersonUser2" msprop:Generator_ColumnPropNameInTable="PersonUser2Column" msprop:Generator_UserColumnName="PersonUser2" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="VIEW_CARD_PERSON" msprop:Generator_TableClassName="VIEW_CARD_PERSONDataTable" msprop:Generator_TableVarName="tableVIEW_CARD_PERSON" msprop:Generator_RowChangedName="VIEW_CARD_PERSONRowChanged" msprop:Generator_TablePropName="VIEW_CARD_PERSON" msprop:Generator_RowDeletingName="VIEW_CARD_PERSONRowDeleting" msprop:Generator_RowChangingName="VIEW_CARD_PERSONRowChanging" msprop:Generator_RowEvHandlerName="VIEW_CARD_PERSONRowChangeEventHandler" msprop:Generator_RowDeletedName="VIEW_CARD_PERSONRowDeleted" msprop:Generator_RowClassName="VIEW_CARD_PERSONRow" msprop:Generator_UserTableName="VIEW_CARD_PERSON" msprop:Generator_RowEvArgName="VIEW_CARD_PERSONRowChangeEvent">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="CardFullNo" msprop:Generator_ColumnVarNameInTable="columnCardFullNo" msprop:Generator_ColumnPropNameInRow="CardFullNo" msprop:Generator_ColumnPropNameInTable="CardFullNoColumn" msprop:Generator_UserColumnName="CardFullNo">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="36" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="CardNo" msdata:ReadOnly="true" msprop:Generator_ColumnVarNameInTable="columnCardNo" msprop:Generator_ColumnPropNameInRow="CardNo" msprop:Generator_ColumnPropNameInTable="CardNoColumn" msprop:Generator_UserColumnName="CardNo" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="26" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="ReIssueCnt" msdata:ReadOnly="true" msprop:Generator_ColumnVarNameInTable="columnReIssueCnt" msprop:Generator_ColumnPropNameInRow="ReIssueCnt" msprop:Generator_ColumnPropNameInTable="ReIssueCntColumn" msprop:Generator_UserColumnName="ReIssueCnt" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="36" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="CardType" msprop:Generator_ColumnVarNameInTable="columnCardType" msprop:Generator_ColumnPropNameInRow="CardType" msprop:Generator_ColumnPropNameInTable="CardTypeColumn" msprop:Generator_UserColumnName="CardType" type="xs:int" />
              <xs:element name="CardStatusID" msprop:Generator_ColumnVarNameInTable="columnCardStatusID" msprop:Generator_ColumnPropNameInRow="CardStatusID" msprop:Generator_ColumnPropNameInTable="CardStatusIDColumn" msprop:Generator_UserColumnName="CardStatusID" type="xs:int" />
              <xs:element name="ValidDate" msprop:Generator_ColumnVarNameInTable="columnValidDate" msprop:Generator_ColumnPropNameInRow="ValidDate" msprop:Generator_ColumnPropNameInTable="ValidDateColumn" msprop:Generator_UserColumnName="ValidDate" type="xs:dateTime" />
              <xs:element name="Sabun" msprop:Generator_ColumnVarNameInTable="columnSabun" msprop:Generator_ColumnPropNameInRow="Sabun" msprop:Generator_ColumnPropNameInTable="SabunColumn" msprop:Generator_UserColumnName="Sabun" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Name" msprop:Generator_ColumnVarNameInTable="columnName" msprop:Generator_ColumnPropNameInRow="Name" msprop:Generator_ColumnPropNameInTable="NameColumn" msprop:Generator_UserColumnName="Name" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="30" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Tel" msprop:Generator_ColumnVarNameInTable="columnTel" msprop:Generator_ColumnPropNameInRow="Tel" msprop:Generator_ColumnPropNameInTable="TelColumn" msprop:Generator_UserColumnName="Tel" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="68" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Mobile" msprop:Generator_ColumnVarNameInTable="columnMobile" msprop:Generator_ColumnPropNameInRow="Mobile" msprop:Generator_ColumnPropNameInTable="MobileColumn" msprop:Generator_UserColumnName="Mobile" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="68" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="OrgName" msprop:Generator_ColumnVarNameInTable="columnOrgName" msprop:Generator_ColumnPropNameInRow="OrgName" msprop:Generator_ColumnPropNameInTable="OrgNameColumn" msprop:Generator_UserColumnName="OrgName" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="GradeName" msprop:Generator_ColumnVarNameInTable="columnGradeName" msprop:Generator_ColumnPropNameInRow="GradeName" msprop:Generator_ColumnPropNameInTable="GradeNameColumn" msprop:Generator_UserColumnName="GradeName" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="30" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="PersonType" msprop:Generator_ColumnVarNameInTable="columnPersonType" msprop:Generator_ColumnPropNameInRow="PersonType" msprop:Generator_ColumnPropNameInTable="PersonTypeColumn" msprop:Generator_UserColumnName="PersonType" type="xs:int" minOccurs="0" />
              <xs:element name="PersonStatus" msprop:Generator_ColumnVarNameInTable="columnPersonStatus" msprop:Generator_ColumnPropNameInRow="PersonStatus" msprop:Generator_ColumnPropNameInTable="PersonStatusColumn" msprop:Generator_UserColumnName="PersonStatus" type="xs:int" minOccurs="0" />
              <xs:element name="personValid" msprop:Generator_ColumnVarNameInTable="columnpersonValid" msprop:Generator_ColumnPropNameInRow="personValid" msprop:Generator_ColumnPropNameInTable="personValidColumn" msprop:Generator_UserColumnName="personValid" type="xs:dateTime" minOccurs="0" />
              <xs:element name="PersonUser1" msprop:Generator_ColumnVarNameInTable="columnPersonUser1" msprop:Generator_ColumnPropNameInRow="PersonUser1" msprop:Generator_ColumnPropNameInTable="PersonUser1Column" msprop:Generator_UserColumnName="PersonUser1" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="30" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="PersonUser2" msprop:Generator_ColumnVarNameInTable="columnPersonUser2" msprop:Generator_ColumnPropNameInRow="PersonUser2" msprop:Generator_ColumnPropNameInTable="PersonUser2Column" msprop:Generator_UserColumnName="PersonUser2" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="PersonUser3" msprop:Generator_ColumnVarNameInTable="columnPersonUser3" msprop:Generator_ColumnPropNameInRow="PersonUser3" msprop:Generator_ColumnPropNameInTable="PersonUser3Column" msprop:Generator_UserColumnName="PersonUser3" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="30" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="PersonUser4" msprop:Generator_ColumnVarNameInTable="columnPersonUser4" msprop:Generator_ColumnPropNameInRow="PersonUser4" msprop:Generator_ColumnPropNameInTable="PersonUser4Column" msprop:Generator_UserColumnName="PersonUser4" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="30" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="PersonUser5" msprop:Generator_ColumnVarNameInTable="columnPersonUser5" msprop:Generator_ColumnPropNameInRow="PersonUser5" msprop:Generator_ColumnPropNameInTable="PersonUser5Column" msprop:Generator_UserColumnName="PersonUser5" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="30" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="CardUser1" msprop:Generator_ColumnVarNameInTable="columnCardUser1" msprop:Generator_ColumnPropNameInRow="CardUser1" msprop:Generator_ColumnPropNameInTable="CardUser1Column" msprop:Generator_UserColumnName="CardUser1" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="30" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="CardUser2" msprop:Generator_ColumnVarNameInTable="columnCardUser2" msprop:Generator_ColumnPropNameInRow="CardUser2" msprop:Generator_ColumnPropNameInTable="CardUser2Column" msprop:Generator_UserColumnName="CardUser2" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="30" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="CardUser3" msprop:Generator_ColumnVarNameInTable="columnCardUser3" msprop:Generator_ColumnPropNameInRow="CardUser3" msprop:Generator_ColumnPropNameInTable="CardUser3Column" msprop:Generator_UserColumnName="CardUser3" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="30" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="CardUser4" msprop:Generator_ColumnVarNameInTable="columnCardUser4" msprop:Generator_ColumnPropNameInRow="CardUser4" msprop:Generator_ColumnPropNameInTable="CardUser4Column" msprop:Generator_UserColumnName="CardUser4" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="30" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="CardUser5" msprop:Generator_ColumnVarNameInTable="columnCardUser5" msprop:Generator_ColumnPropNameInRow="CardUser5" msprop:Generator_ColumnPropNameInTable="CardUser5Column" msprop:Generator_UserColumnName="CardUser5" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="30" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:VIEW_CARD_PERSON" />
      <xs:field xpath="mstns:CardFullNo" />
    </xs:unique>
  </xs:element>
</xs:schema>